ALSA project - the C library reference

Data Fields
snd_tplg_hw_config_template Struct Reference
Topology Interface

Template type to describe a physical link runtime supported hardware config, i.e. hardware audio formats. More...

`#include <topology.h>`

## Data Fields
int | id
unsigned int | fmt
unsigned char | clock_gated
unsigned char | invert_bclk
unsigned char | invert_fsync
unsigned char | bclk_provider
unsigned char | fsync_provider
unsigned char | mclk_direction
unsigned short | reserved
unsigned int | mclk_rate
unsigned int | bclk_rate
unsigned int | fsync_rate
unsigned int | tdm_slots
unsigned int | tdm_slot_width
unsigned int | tx_slots
unsigned int | rx_slots
unsigned int | tx_channels
unsigned int * | tx_chanmap
unsigned int | rx_channels
unsigned int * | rx_chanmap

## Detailed Description

Template type to describe a physical link runtime supported hardware config, i.e. hardware audio formats.

The documentation for this struct was generated from the following file:

- /u7/kx/RcL/system/branches/radix-1.9-300/media/alsa-lib/1.2.8/.x86_64-glibc/intel-pc64/alsa-lib-1.2.8/include/topology.h